Bug 523526 - Review Request: clutter-box2d - 2D physics simulation layer for Clutter
Review Request: clutter-box2d - 2D physics simulation layer for Clutter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MeeGo1
  Show dependency treegraph
 
Reported: 2009-09-15 15:51 EDT by Peter Robinson
Modified: 2010-04-19 03:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-19 03:00:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-09-15 15:51:32 EDT
SPEC: http://pbrobinson.fedorapeople.org/clutter-box2d.spec
SRPM: http://pbrobinson.fedorapeople.org/clutter-box2d-0.10.0-1.fc11.src.rpm

Description:
A glue layer between clutter and box2d that provides a special group where the
actors can be set to be static or dynamic in regard to a physics simulation.

Features:
  - Children of the ClutterBox2d group can be simulated as static or dynamic
    rigid bodies. Collision detection.
  - Specifying the gravity of the world.
  - play/pause control over the box2d physics engine
  - Setting linear and angular velocities of simulated children.
  - automatic position synchronization between clutter and box2d.
  - joints
      - prismatic.
      - revolute.
      - distance (spring)
      - mouse (for dragging objects around and manipulating them).

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1681295
Comment 1 Alexander Boström 2010-01-02 20:00:15 EST
Well... It contains a copy of box2d. Maybe that's formally ok since box2d is not packaged yet, but it's certainly not ideal. It probably best to DDRT from the start by packaging it separately.
Comment 2 Peter Robinson 2010-01-02 23:22:12 EST
What's DDRT?
Comment 3 Alexander Boström 2010-01-03 12:01:12 EST
It's short for "I can't spell Do The Right Thing". :-)
Comment 4 Peter Robinson 2010-04-19 03:00:19 EDT
Closing for the time being as its no longer currently used in Moblin.

Note You need to log in before you can comment on or make changes to this bug.